%define upstream_name    XML-FeedPP
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse/write/merge/edit RSS/RDF/Atom syndication feeds
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(XML::TreePP) >= 0.390.0
BuildArch:  noarch

%description
'XML::FeedPP' is an all-purpose syndication utility that parses and
publishes RSS 2.0, RSS 1.0 (RDF), Atom 0.3 and 1.0 feeds. It allows you to
add new content, merge feeds, and convert among these various formats. It
is a pure Perl implementation and does not require any other module except
for XML::TreePP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-2.mga3
+ Revision: 375024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.430.0-1.mga2
+ Revision: 107585
- update to 0.43

* Fri Jan 21 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 29234
- mageia rebuild
- imported package perl-XML-FeedPP

